Package com.pixelmed.apps

## Class RemapFrameOfReferenceUIDs

- java.lang.Object
- - com.pixelmed.apps.RemapFrameOfReferenceUIDs

-     public class RemapFrameOfReferenceUIDs
      extends java.lang.Object

  A class to read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

  Useful, for example, when Frame of Reference UIDs have been incorrectly changed during de-identification and are inconsistent within a set.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `RemapFrameOfReferenceUIDs.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemapFrameOfReferenceUIDs​(java.lang.String scope, java.lang.String srcFolderName, java.lang.String dstFolderName)` | Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

  - ### Constructor Detail

    - #### RemapFrameOfReferenceUIDs

          public RemapFrameOfReferenceUIDs​(java.lang.String scope,
                                           java.lang.String srcFolderName,
                                           java.lang.String dstFolderName)
                                    throws java.io.FileNotFoundException,
                                           java.io.IOException,
                                           DicomException

      Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

      Uses the same sub-folder and file names in the destination folder as supplied in the source folder.

      Parameters:
        `scope` -
        `srcFolderName` -
        `dstFolderName` -
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a set of DICOM files and replace the Frame of Reference UIDs with a common value for the specified scope.

      Uses the same sub-folder and file names in the destination folder as supplied in the source folder.

      Parameters:
        `arg` - [SERIES|STUDY] srcFolderName dstFolderName